List campaign types
curl --request GET \
--url https://api.pineyard.ai/campaign-types \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/campaign-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/campaign-types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"extractionKeys": [
{
"name": "<string>",
"type": "string",
"description": "<string>"
}
],
"status": "ACTIVE",
"isOwn": true
}
]Campaign types
List campaign types
List campaign types — picker feed, or the caller workspace’s own with ?scope=mine
GET
/
campaign-types
List campaign types
curl --request GET \
--url https://api.pineyard.ai/campaign-types \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/campaign-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/campaign-types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"extractionKeys": [
{
"name": "<string>",
"type": "string",
"description": "<string>"
}
],
"status": "ACTIVE",
"isOwn": true
}
]Required scope:
campaign_types.viewAuthorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Query Parameters
Available options:
mine 
